Caura / docs
API Reference

Documents · Get and delete

GET and DELETE /api/v1/documents/{doc_id} — read or remove one document.

Pass the collection as a query parameter alongside the id.

GET
/api/v1/documents/{doc_id}

Authorization

APIKeyHeader
headerX-API-Key<token>

Path Parameters

doc_id*Doc Id

Query Parameters

tenant_id*Tenant Id
collection*Collection

Response Body

Successful Response

application/json
  1. response
indexed?boolean|null
id*Id
tenant_id*Tenant Id
fleet_id*string|null
collection*Collection
doc_id*Doc Id
data*
created_at*|null
updated_at*|null
agent_id?string|null
Example Request
curl -X GET 'https://example.com/api/v1/documents/string?tenant_id=string&collection=string'
Example Response
{  "indexed": true,  "id": "string",  "tenant_id": "string",  "fleet_id": "string",  "collection": "string",  "doc_id": "string",  "data": {},  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "agent_id": "string"}
DELETE
/api/v1/documents/{doc_id}

Authorization

APIKeyHeader
headerX-API-Key<token>

Path Parameters

doc_id*Doc Id

Query Parameters

tenant_id*Tenant Id
collection*Collection

Response Body

Successful Response

Example Request
curl -X DELETE 'https://example.com/api/v1/documents/string?tenant_id=string&collection=string'
Example Response
Empty